import type { IEventBus } from "../../../utils/EventBus";
import type { ISignTransactionsModalData } from './sign-transactions-modal.types';
export declare class SignTransactionsModal {
    hostElement: HTMLElement;
    private eventBus;
    data: ISignTransactionsModalData;
    getEventBus(): Promise<IEventBus>;
    onDataChange(data: ISignTransactionsModalData): void;
    componentWillLoad(): void;
    render(): any;
    close(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
